Return to list post new topic
print

Flash version error

Flash version error

I have not been able to play the game the last couple days.  It says my Flash version is old.  But I have the latest Flash version, and it has been running OK before Saturday.  I never had this problem before.

I tried launching the game on Safari, Chrome and Firefox on Mac OS X, and Chrome on Linux.  All have the same problem.

Here is the error message I've been getting:

To view this page ensure that Adobe Flash Player version 11.1.0 or greater is installed. 请升级您的Flash版本到11.1或更高版本,直接去百度软件中心下载此安全版本http://rj.baidu.com/soft/detail/17153.html?ald

TOP

try going to adobe .com and downloading newest version

TOP

Return to list